Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxInformation

All Known Implementing Classes:
  TaxInformationImpl

public interface TaxInformation
extends Belonging

A Tax Information class is used to report the taxes totals for each entity. total is the sum of all children taxlineresult.tax Attribute: total This is the total tax for the order or the line item.

- Containment: By Value
- Multiplicity: 1:1

Attribute: entityTax

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Collection

See Also:
  `TaxInformationHome`, `TaxInformationImpl`

Method Summary
`boolean` | `addEntityTax(TaxLineResult element)` Ensures that this collection contains the specified element (optional operation).
`boolean` | `addEntityTaxCollection(java.util.Collection collection)` Adds all of the elements in the specified collection to this collection (optional operation).
`void` | `clearEntityTaxCollection()` Removes all of the elements from this collection (optional operation).
`boolean` | `containsEntityTax(TaxLineResult element)` Returns true if this collection contains the specified element.
`boolean` | `containsEntityTaxCollection(java.util.Collection c)` Returns true if this collection contains all of the elements in the specified collection.
`int` | `entityTaxCollectionHashCode()` Returns the hash code value for this collection.
`java.util.Iterator` | `entityTaxCollectionIterator()` Returns an iterator over the elements in this collection.
`int` | `entityTaxCollectionSize()` Returns the number of elements in this collection.
`boolean` | `equalsEntityTaxCollection(java.lang.Object object)` Compares the specified object with this collection for equality.
`java.util.Collection` | `getEntityTaxCollection()` Returns the entire collection
`Price` | `getTotal()` Get the value of total
`boolean` | `isEntityTaxCollectionEmpty()` Returns true if this collection contains no elements.
`boolean` | `removeEntityTax(TaxLineResult element)` Removes a single instance of the specified element from this collection, if it is present (optional operation).
`boolean` | `removeEntityTaxCollection(java.util.Collection collection)` Removes all this collection's elements that are also contained in the specified collection (optional operation).
`boolean` | `retainEntityTaxCollection(java.util.Collection collection)` Retains only the elements in this collection that are contained in the specified collection (optional operation).
`void` | `setEntityTaxCollection(java.util.Collection collection)` Sets the entire collection
`void` | `setTotal(Price total)` Set the value of total

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getTotal

    public Price getTotal()

  Get the value of total

  Returns:
    total.

### setTotal

    public void setTotal(Price total)

  Set the value of total

  Parameters:
    `total` - total to be added

### getEntityTaxCollection

    public java.util.Collection getEntityTaxCollection()

  Returns the entire collection

### setEntityTaxCollection

    public void setEntityTaxCollection(java.util.Collection collection)

  Sets the entire collection

### addEntityTax

    public boolean addEntityTax(TaxLineResult element)

  Ensures that this collection contains the specified element (optional operation).

### addEntityTaxCollection

    public boolean addEntityTaxCollection(java.util.Collection collection)

  Adds all of the elements in the specified collection to this collection (optional operation).

### clearEntityTaxCollection

    public void clearEntityTaxCollection()

  Removes all of the elements from this collection (optional operation).

### containsEntityTax

    public boolean containsEntityTax(TaxLineResult element)

  Returns true if this collection contains the specified element.

### containsEntityTaxCollection

    public boolean containsEntityTaxCollection(java.util.Collection c)

  Returns true if this collection contains all of the elements in the specified collection.

### equalsEntityTaxCollection

    public boolean equalsEntityTaxCollection(java.lang.Object object)

  Compares the specified object with this collection for equality.

### entityTaxCollectionHashCode

    public int entityTaxCollectionHashCode()

  Returns the hash code value for this collection.

### isEntityTaxCollectionEmpty

    public boolean isEntityTaxCollectionEmpty()

  Returns true if this collection contains no elements.

### entityTaxCollectionIterator

    public java.util.Iterator entityTaxCollectionIterator()

  Returns an iterator over the elements in this collection.

### removeEntityTax

    public boolean removeEntityTax(TaxLineResult element)

  Removes a single instance of the specified element from this collection, if it is present (optional operation).

### removeEntityTaxCollection

    public boolean removeEntityTaxCollection(java.util.Collection collection)

  Removes all this collection's elements that are also contained in the specified collection (optional operation).

### retainEntityTaxCollection

    public boolean retainEntityTaxCollection(java.util.Collection collection)

  Retains only the elements in this collection that are contained in the specified collection (optional operation).

### entityTaxCollectionSize

    public int entityTaxCollectionSize()

  Returns the number of elements in this collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved